complexType "CommodityForward"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType*, productId*, assetClass*, valueDate?, fixedLeg?, (bullionPhysicalLeg? | additionalCommodityForwardLeg?), (commonPricing?, marketDisruption?, settlementDisruption?, rounding?)?
</...>

Content Model Elements (11):

  additionalCommodityForwardLeg, assetClass (defined in Product.model group), bullionPhysicalLeg, commonPricing, fixedLeg (in commodityForward), marketDisruption (defined in CommodityContent.model group), | productId (defined in Product.model group), productType (defined in Product.model group), rounding (defined in CommodityContent.model group), settlementDisruption, valueDate (in commodityForward)

All Direct / Indirect Based Elements (1):

  commodityForward

Known Usage Locations

- As direct type of elements (1):
  commodityForward

Annotation
Commodity Forward
Type Definition Detail

Type Derivation Tree Product (extension) CommodityForward

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="CommodityForward"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="valueDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="fixedLeg" type="NonPeriodicFixedPriceLeg"/> <xsd:choice> <xsd:element minOccurs="0" name="bullionPhysicalLeg" type="BullionPhysicalLeg"/> <xsd:element minOccurs="0" ref="additionalCommodityForwardLeg"/> </xsd:choice> <xsd:group minOccurs="0" ref="CommodityContent.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/11)
additionalCommodityForwardLeg

  Type: | Leg, empty content
  Abstract: | (may not be used directly in instance XML documents)

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="additionalCommodityForwardLeg"/>

bullionPhysicalLeg

  Type: | BullionPhysicalLeg, complex content

  The physical leg of a Commodity Forward Transaction for which the underlyer is Bullion.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="bullionPhysicalLeg" type="BullionPhysicalLeg"/>

fixedLeg

  Type: | NonPeriodicFixedPriceLeg, complex content

  The fixed leg of a Commodity Forward Transaction
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedLeg" type="NonPeriodicFixedPriceLeg"/>

valueDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the value date of the Commodity Forward Transaction. This is the day on which both the cash and the physical commodity settle.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valueDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.